import React from "react";
interface StateShape {
    error: Error | null;
}
export declare class ErrorBoundary extends React.Component<{}, StateShape> {
    static getDerivedStateFromError(err: Error): {
        error: Error;
    };
    state: StateShape;
    componentDidCatch(error: any, info: any): void;
    render(): {} | null | undefined;
}
export {};
